## Offscreen Buffers (Deprecated) Offscreen Buffers (Deprecated) |

## Functions

void * | cogl_offscreen_ref ()
void | cogl_offscreen_unref ()

## Description

## Functions

### cogl_offscreen_ref ()

    void *
    cogl_offscreen_ref (void *offscreen);

`cogl_offscreen_ref` has been deprecated since version 1.2 and should not be used in newly-written code.

cogl_object_ref() should be used in new code.

Increments the reference count on the `offscreen` framebuffer.

#### Parameters

offscreen | A pointer to a CoglOffscreen framebuffer |

#### Returns

For convenience it returns the given `offscreen` .

[transfer none]

### cogl_offscreen_unref ()

    void
    cogl_offscreen_unref (void *offscreen);

`cogl_offscreen_unref` has been deprecated since version 1.2 and should not be used in newly-written code.

cogl_object_unref() should be used in new code.

Decreases the reference count for the `offscreen` buffer and frees it when the count reaches 0.

#### Parameters

offscreen | A pointer to a CoglOffscreen framebuffer |

## Types and Values